"use strict";
const common_vendor = require("../common/vendor.js");
const _sfc_main = {
  __name: "MapContainer",
  setup(__props) {
    const latitude = common_vendor.ref(28.103487);
    const longitude = common_vendor.ref(114.443029);
    const markers = common_vendor.ref([
      {
        iconPath: "/static/images/marker.png",
        id: 1,
        latitude: 28.705019,
        longitude: 115.831653,
        width: 18,
        height: 18,
        callout: {
          content: "10:50\n进入校园",
          fontSize: 12,
          borderRadius: 6,
          padding: 6,
          display: "ALWAYS",
          textAlign: "left",
          anchorX: 30
        }
      },
      {
        iconPath: "/static/images/marker.png",
        id: 2,
        latitude: 28.704551,
        longitude: 115.831675,
        width: 18,
        height: 18,
        callout: {
          content: "11:50\n吃饭",
          fontSize: 12,
          borderRadius: 6,
          padding: 6,
          display: "ALWAYS",
          textAlign: "left",
          anchorX: 30
        }
      },
      {
        iconPath: "/static/images/marker.png",
        id: 3,
        latitude: 28.704951,
        longitude: 115.832297,
        width: 18,
        height: 18,
        callout: {
          content: "12:50\n睡觉",
          fontSize: 12,
          borderRadius: 6,
          padding: 6,
          display: "ALWAYS",
          textAlign: "left",
          anchorX: 30
        }
      }
    ]);
    const polyline = common_vendor.ref([
      {
        points: [
          { latitude: 28.705019, longitude: 115.831653 },
          { latitude: 28.704551, longitude: 115.831675 },
          { latitude: 28.704951, longitude: 115.832297 }
        ],
        color: "#1E7DFB",
        width: 2
      }
    ]);
    common_vendor.onLoad(() => {
    });
    return (_ctx, _cache) => {
      return {
        a: latitude.value,
        b: longitude.value,
        c: markers.value,
        d: polyline.value
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "E:/workSpace/WanZai_School_app/components/MapContainer.vue"]]);
wx.createComponent(Component);
